package com.bocloud.cmp.provider.network;

import com.bocloud.cmp.model.NetworkCardModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * 弹性网卡
 *
 * @author ymh
 * @时间 2018年12月21日
 */
public interface NetworkCardProvider extends SuperProvider {
    public BocloudResult list();

    BocloudResult remove(String networkCardId);

    BocloudResult create(NetworkCardModel networkCardModel);

    BocloudResult detail(String networkCardId);

    BocloudResult attachNetworkCard(NetworkCardModel networkCardModel);

    BocloudResult detachNetworkCard(NetworkCardModel networkCardModel);

    default BocloudResult modify(NetworkCardModel networkCardModel) {
        return null;
    }
}
